<?php
// +-------------------------------+
// |   DreamStats 6.2 Revolution   |
// |  Copyright 2007  q6 Networks  |
// |   http://www.mnprojects.net   |
// +-------------------------------+

$vold = "6.1 Rev";
$vnew = "6.2 Rev";

///////////////////////////////////////////
// -- Check latest version
///////////////////////////////////////////

if(file_exists("../includes/info.php"))
{
    include("../includes/info.php");
}
else
{
    die("<b>DreamStats Error:</b> Info file was not found!");
}

if($ds_version_full != $vnew)
{
    die("<b>DreamStats Error:</b> You did not upgrade the dreamstats files yet. Please upload all dreamstats 6.2 files overwriting 6.1 files.");
}

///////////////////////////////////////////
// -- Include Config
///////////////////////////////////////////

if(file_exists("../config.php"))
{
    include("../config.php");
}
else
{
    die("<b>DreamStats Error:</b> Config file was not found!");
}

///////////////////////////////////////////
// -- Check for MySQL Support, again...
///////////////////////////////////////////

if(!function_exists("mysql_connect"))
{
    die("<b>DreamStats Error:</b> DreamStats require MySQL to be installed in your server!");
}

///////////////////////////////////////////
// -- Upgrade Queries
///////////////////////////////////////////

$sql[] = "INSERT INTO `".$db_prefix."languages` (`id`, `language`, `name`, `dname`, `value`, `cod`) VALUES
(NULL, 'english', 'antilagon', 'Antilag is <b>disabled</b>.', 'Antilag is <b>disabled</b>.', 'cod2,cod4'),
(NULL, 'english', 'antilagoff', 'Antilag is <b>enabled</b>.', 'Antilag is <b>enabled</b>.', 'cod2,cod4'),
(NULL, 'portuguese', 'antilagon', 'Antilag is <b>disabled</b>.', 'O Antilag est <b>desligado</b>', 'cod2,cod4'),
(NULL, 'portuguese', 'antilagoff', 'Antilag is <b>enabled</b>.', 'O Antilag est <b>ligado</b>.', 'cod2,cod4'),
(NULL, 'dutch', 'antilagon', 'Antilag is <b>disabled</b>.', 'Antilag is <b>uitgeschakeld</b>.', 'cod2,cod4'),
(NULL, 'dutch', 'antilagoff', 'Antilag is <b>enabled</b>.', 'Antilag is <b>ingeschakeld</b>.', 'cod2,cod4');";

///////////////////////////////////////////
// -- Verification
///////////////////////////////////////////

if(!isset($_POST['doupgrade']))
{
    echo '
        <html>
        <head>
         <title>DreamStats '.$v.' - Upgrade</title>
         <meta name="robots" content="noindex, nofollow">
        </head>

        <body>

        <form name="login" method="post" action="upgrade.php">
        <input type="hidden" name="doupgrade" value="doupgrade">

        <table cellspacing=0 cellpadding=0 border=0 width="100%" height="100%">
        <tr><td valign="middle">

        <table cellspacing=0 cellpadding=0 border=0 align="center" width=400
        style="border: 1px solid #E0E0E0;font-family:arial;color:gray;font-size:16px;">';

        if(empty($db_host))
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;padding-top:30px;color:red;"><b>Error:</b></td><td style="padding-top:30px;">Host not specified in config!</td>
            </tr>';
            $error[] = 1; $dberror[] = 1;
        }
        else
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;padding-top:30px;color:green;"><b>Ok:</b></td><td style="padding-top:30px;">Host specified in config!</td>
            </tr>';
        }

        if(empty($db_name))
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;color:red;"><b>Error:</b></td><td>Database name not specified in config!</td>
            </tr>';
            $error[] = 1; $dberror[] = 1;
        }
        else
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;color:green;"><b>Ok:</b></td><td>Database name specified in config!</td>
            </tr>';
        }

        if(!@mysql_connect($db_host, $db_user, $db_pass))
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;color:red;"><b>Error:</b></td><td>Could not connect to the database!
               <br><font style="font-size:11px;">'.mysql_error().'</font></td>
            </tr>';
            $error[] = 1; $checkcfg[] = 1;
        }
        else
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;color:green;"><b>Ok:</b></td><td>MySQL Connection established!</td>
            </tr>';
        }


        if($ds_version_full != $vnew)
        {
            echo '<tr>
               <td align="center" colspan=2><font color="red" style="font-size:11px;"><br>
               The upgrade process is not ready!</font></td>
            </tr>';
            $error[] = 1;
        }
        else
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;padding-top:30px;color:green;"><b>Ok:</b></td><td style="padding-top:30px;">Your upgrade process is ready!</td>
            </tr>';
        }

        if(!isset($error))
        {
            echo '<tr>
               <td align="center" colspan=2><br><br><input type="submit" name="submit" value="Upgrade Now"></td>
            </tr>';
        }

        if(isset($dberror))
        {
            echo '<tr>
               <td align="center" colspan=2><font color="red" style="font-size:11px;"><br>
               You need to edit "config.php" file with any text editor, notepad for example. Open "config.php" file
               with notepad and enter the required MySQL information to connect to the MySQL server. Remember, the
               information is entered between double quotes! You don\'t need to manually create the database, this
               script will check if it is already created and if it\'s not, it will create one with the name specified
               in the config file.</font></td>
            </tr>';
        }

        if(isset($checkcfg))
        {
            echo '<tr>
               <td align="center" colspan=2><font color="red" style="font-size:11px;"><br>
               Please check "config.php".</font></td>
            </tr>';
        }

        echo '<tr>
         <td>&nbsp;</td><td>&nbsp;</td>
        </tr>
        <tr>
         <td colspan=2 align="center" style="font-size:11px;padding-bottom:30px;">DreamStats &copy; '.date('Y').' q6 Networks</td>
        </tr>
        </table>

        </tr></td>
        </table>

        </form>

        </body>

        </html>';
}
else
{

///////////////////////////////////////////
// -- Run Queries
///////////////////////////////////////////

    $connect = mysql_connect($db_host, $db_user, $db_pass);

    mysql_select_db($db_name);

    foreach($sql as $s)
    {
        $go = mysql_query($s);

        if(!$go)
        {
            exit("<b>Could not upgrade DreamStats!</b><br><br>" . mysql_error());
        }
    }

    echo '
        <html>
        <head>
         <title>DreamStats '.$v.' - Upgrade</title>
         <meta name="robots" content="noindex, nofollow">
        </head>

        <body>

        <form name="login" method="post" action="index.php">
        <input type="hidden" name="doupgrade" value="doupgrade">

        <table cellspacing=0 cellpadding=0 border=0 width="100%" height="100%">
        <tr><td valign="middle">

        <table cellspacing=0 cellpadding=0 border=0 align="center" width=400
        style="border: 1px solid #E0E0E0;font-family:arial;color:gray;font-size:16px;">';

    echo '<tr>
             <td align="center" colspan=2 height=1 style="padding-right:5px;"><br><br><b>DreamStats Upgraded Successfully!</b><br><br>
             Login into the <a href="../admin/index.php">administration panel</a>.</td>
         </tr>';

    echo '<tr>
         <td>&nbsp;</td><td>&nbsp;</td>
        </tr>
        <tr>
         <td colspan=2 align="center" style="font-size:11px;padding-bottom:30px;">DreamStats &copy; '.date('Y').' q6 Networks</td>
        </tr>
        </table>

        </tr></td>
        </table>

        </form>

        </body>

        </html>';
}

?>