<?php
// +-------------------------------+
// |   DreamStats 6.2 Revolution   |
// |  Copyright 2007  q6 Networks  |
// |   http://www.mnprojects.net   |
// +-------------------------------+

error_reporting(E_ALL & ~E_NOTICE);

///////////////////////////////////////////
// -- Version Infos
///////////////////////////////////////////

include("includes/info.php");

///////////////////////////////////////////
// -- Warning Errors
///////////////////////////////////////////

function e($message)
{
    $e = '<table cellspacing=0 cellpadding=0 width="100%" height="100%" border=0
    style="font-family:arial;font-size:11px;color:black;">
    <tr><td valign="middle" align="center"><table cellspacing=0 cellpadding=0 align="center"
    width="400" height="200" border=0 style="font-family:arial;font-size:11px;color:black;background:#EFEFEF;">
    <tr><td align="center"><font style="font-size:41px;"><b>DreamStats Error</b></font><br>'.$message.'</td></tr>
    </td></tr></table>';

    echo $e;
}

if(file_exists("install/index.php"))
{
    $install_msg = "<br><br>If DreamStats is not yet installed, click <a href=\"install/index.php\">here</a> to install.";
}
else
{
    $install_msg = "";
}

///////////////////////////////////////////
// -- Include config and mysql files
///////////////////////////////////////////

include_once("config.php");
include_once("includes/mysql.php");

///////////////////////////////////////////
// -- Connect to MySQL
///////////////////////////////////////////

define("TP", $db_prefix);

$DB = new DB;

$DB->database = $db_name;
$DB->server   = $db_host;
$DB->user     = $db_user;
$DB->password = $db_pass;

$connection = @mysql_connect($db_host, $db_user, $db_pass) or die(e(mysql_error() . $install_msg));
              mysql_select_db($db_name, $connection) or die(e(mysql_error() . $install_msg));

///////////////////////////////////////////
// -- Load settings
///////////////////////////////////////////

$allsettings_sql = $DB->query("SELECT name, value FROM ".TP."settings");
for($i = 0; $d_setting = $DB->fetch_row_arr($allsettings_sql); $i++)
{
    $settings[$d_setting['name']] = $d_setting['value'];
}

///////////////////////////////////////////
// -- Load Languages
///////////////////////////////////////////

$languages_sql = $DB->query("SELECT name, value FROM ".TP."languages WHERE language='" . $settings['language'] . "'");
for($i = 0; $d_langs = $DB->fetch_row_arr($languages_sql); $i++)
{
    $lang[$d_langs['name']] = $d_langs['value'];
}

///////////////////////////////////////////
// -- Check server IP
///////////////////////////////////////////

if( !isset($settings['serverip']) OR !isset($settings['serverport']) )
{
    exit(e("You did not enter a server IP!"));
}

///////////////////////////////////////////
// -- Connect to server
///////////////////////////////////////////

@set_time_limit(30);

$connect = @fsockopen("udp://" . $settings['serverip'], $settings['serverport'], $re, $errstr, 30);

if(!$connect)
{
   echo '<!-- Error: ' . $re . ' | ' . $errstr . '-->

   ';
   $servererrorset = $DB->query("UPDATE ".TP."settings SET value='no' WHERE name='verified'");
   exit(e("The Server is offline! Please try again."));
}
else
{
    @socket_set_timeout($connect, 1, 0);
    @stream_set_blocking($connect, true);
    @stream_set_timeout($connect, 5);

    $send = "\xFF\xFF\xFF\xFFgetstatus\x00";

    fputs($connect, $send);
    fwrite($connect, $send);

    $output = fread($connect, 5000);

    if(empty($output))
    {
        $servererrorset = $DB->query("UPDATE ".TP."settings SET value='no' WHERE name='verified'");
        exit(e("Could not receive any data from the server!<br>The server ip might be wrong."));
    }
    else
    {
        do
        {
            $status_pre = socket_get_status($connect);
            $output = $output . fread($connect, 5000);
            $status_post = socket_get_status($connect);
        } while ($status_pre['unread_bytes'] != $status_post['unread_bytes']);
    }

    fclose($connect);

    $output = str_replace("statusResponse", "statusResponse\DREAMSTATS\DREAMSTATS\\", $output);

    $output = explode("\\", $output);
}

if($settings['verified'] == "no")
{
    $servererrorunset = $DB->query("UPDATE ".TP."settings SET value='yes' WHERE name='verified'");
}

///////////////////////////////////////////
// -- Get String from Output
///////////////////////////////////////////

function output($name)
{
    global $output;

    $output_search = array_search($name, $output);
    $output_result = $output[$output_search + 1];

    return $output_result;
}

///////////////////////////////////////////
// -- Game filter: CoD, CoDUO, CoD2
///////////////////////////////////////////

$allowedgames = array("Call of Duty", "CoD:United Offensive", "Call of Duty 2", "Call of Duty 4");

if( !in_array(output("gamename"), $allowedgames) )
{
    exit(e("This game is not supported by DreamStats v".$ds_version."<br>or the ip is not correct!"));
}

///////////////////////////////////////////
// -- Get players in the server
///////////////////////////////////////////

$players_last_value = count($output) - 1;
$players_string = $output[$players_last_value];
$players_string = explode("\n", $players_string);

$i = 1;

while ($i != count($players_string))
{
    $players_split = explode(" ", $players_string[$i], 3);

    @$playerlist[$i-1]['score']  = $players_split[0];
    @$playerlist[$i-1]['ping']   = $players_split[1];
    @$playerlist[$i-1]['player'] = $players_split[2];

    $i++;

}

function srt ($a, $b)
{
    if($a["score"] > $b["score"])
    {
        return -1;
    }

    if($a["score"] < $b["score"])
    {
        return 1;
    }

    if($a["score"] == $b["score"])
    {
        return 0;
    }
}

@usort($playerlist, "srt");
$players = count($playerlist) -1;

?>